gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.FillNode

Contents

- Exported types
- Methods
  - getChild
  - getFillRule
  - getPath
  - new

Description

A render node filling the area given by `Path` and `FillRule` with the child node.

Since: 4.14

Synopsis

- newtype FillNode = FillNode (ManagedPtr FillNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf FillNode o) => IsFillNode o
- toFillNode :: (MonadIO m, IsFillNode o) => o -> m FillNode
- fillNodeGetChild :: (HasCallStack, MonadIO m, IsFillNode a) => a -> m RenderNode
- fillNodeGetFillRule :: (HasCallStack, MonadIO m, IsFillNode a) => a -> m FillRule
- fillNodeGetPath :: (HasCallStack, MonadIO m, IsFillNode a) => a -> m Path
- fillNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => a -> Path -> FillRule -> m FillNode

# Exported types

newtype FillNode Source #

Memory-managed wrapper type.

Constructors

FillNode (ManagedPtr FillNode) |

#### Instances

Instances details

Eq FillNode Source # |
Instance details Defined in GI.Gsk.Objects.FillNode Methods (==) :: FillNode -> FillNode -> Bool Source # (/=) :: FillNode -> FillNode -> Bool Source #
BoxedPtr FillNode Source # |
Instance details Defined in GI.Gsk.Objects.FillNode Methods boxedPtrCopy :: FillNode -> IO FillNode Source # boxedPtrFree :: FillNode -> IO () Source #
ManagedPtrNewtype FillNode Source # |
Instance details Defined in GI.Gsk.Objects.FillNode Methods toManagedPtr :: FillNode -> ManagedPtr FillNode Source #
TypedObject FillNode Source # |
Instance details Defined in GI.Gsk.Objects.FillNode Methods glibType :: IO GType Source #
HasParentTypes FillNode Source # |
Instance details Defined in GI.Gsk.Objects.FillNode
type ParentTypes FillNode Source # |
Instance details Defined in GI.Gsk.Objects.FillNode type ParentTypes FillNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf FillNode o) => IsFillNode o Source #

Type class for types which can be safely cast to `FillNode`, for instance with `toFillNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf FillNode o) => IsFillNode o Source # |
Instance details Defined in GI.Gsk.Objects.FillNode

toFillNode :: (MonadIO m, IsFillNode o) => o -> m FillNode Source #

Cast to `FillNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getFillRule, getNodeType, getOpaqueRect, getPath.

#### Setters

None.

## getChild

fillNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsFillNode a) |
=> a | `node`: a fill `GskRenderNode`
-> m RenderNode | Returns: The child that is getting drawn

Gets the child node that is getting drawn by the given `node`.

Since: 4.14

## getFillRule

fillNodeGetFillRule Source #

Arguments

:: (HasCallStack, MonadIO m, IsFillNode a) |
=> a | `node`: a fill `GskRenderNode`
-> m FillRule | Returns: a `GskFillRule`

Retrieves the fill rule used to determine how the path is filled.

Since: 4.14

## getPath

fillNodeGetPath Source #

Arguments

:: (HasCallStack, MonadIO m, IsFillNode a) |
=> a | `node`: a fill `GskRenderNode`
-> m Path | Returns: a `GskPath`

Retrieves the path used to describe the area filled with the contents of the `node`.

Since: 4.14

## new

fillNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> a | `child`: The node to fill the area with
-> Path | `path`: The path describing the area to fill
-> FillRule | `fillRule`: The fill rule to use
-> m FillNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will fill the `child` in the area given by `path` and `fillRule`.

Since: 4.14